Bug 143917 - readahead(1) manual page or other doc needed
readahead(1) manual page or other doc needed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: readahead (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-01 05:36 EST by Ed Avis
Modified: 2009-07-14 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:58:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Avis 2005-01-01 05:36:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.5)
Gecko/20041110 Firefox/1.0

Description of problem:
There is /usr/sbin/readahead but no readahead(1) manual page for it
and it doesn't grok --help or --version.  It would be useful to have a
brief manpage and help text saying what this program does.

Version-Release number of selected component (if applicable):
kernel-utils-2.4-13.1.39

How reproducible:
Always

Steps to Reproduce:
% man 1 readahead
% /usr/sbin/readahead --help
    

Actual Results:  No manual page.  readahead --help seems to do nothing
(not even 'unrecognized option --help').

Expected Results:  Manual page saying what the command does, and
summary usage message.

Additional info:
Comment 1 Matthew Miller 2006-07-10 17:30:21 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Ed Avis 2007-04-19 17:54:07 EDT
I can confirm this is still the case in FC7 test 2.

% ls -l /usr/sbin/readahead 
-rwxr-xr-x  1 root root 13200 2007-03-01 09:50 /usr/sbin/readahead
% man 1 readahead
No entry for readahead in section 1 of the manual
% /usr/sbin/readahead --help
No such file or directory
Preloaded 0 files (0 KB) in 0 ms
% /usr/sbin/readahead --version
No such file or directory
Preloaded 0 files (0 KB) in 0 ms
% rpm -q fedora-release
fedora-release-6.92-1
Comment 3 Ed Avis 2008-01-04 10:23:06 EST
In Fedora 8, readahead --help does work although --version does not.  There is
no manual page.
Comment 4 Bug Zapper 2008-05-13 21:58:50 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 18:00:33 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 12:58:09 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.